Bug 219218 - java/netty: Update to 4.1.39
Summary: java/netty: Update to 4.1.39
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-11 11:18 UTC by Jov
Modified: 2019-08-23 13:28 UTC (History)
5 users (show)

See Also:


Attachments
netty 4.1.10 update patch (2.01 KB, patch)
2017-05-11 11:18 UTC, Jov
no flags Details | Diff
netty-4.1.10.diff v2 (214.36 KB, patch)
2017-05-27 09:54 UTC, Jov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-05-11 11:18:10 UTC
Created attachment 182508 [details]
netty 4.1.10 update patch

update to 4.1.10
portlint -A with no errors.
Comment 1 Baptiste Daroussin freebsd_committer 2017-05-25 20:41:11 UTC
You cannot change created by

The PLIST_FILES is strange as it lists directories which is should not
The javadoc in jar is strange as well
Comment 2 Jov 2017-05-27 09:54:59 UTC
Created attachment 182958 [details]
netty-4.1.10.diff v2

You cannot change created by----fixed

The PLIST_FILES is strange as it lists directories which is should not---fixed
The javadoc in jar is strange as well---fixed
Comment 3 Nathan 2018-08-21 22:42:47 UTC
@Submitter: The latest version is now 4.1.28. Are you still interested in updating this?
Comment 4 Kurt Jaeger freebsd_committer 2019-01-06 18:14:43 UTC
It's now @4.1.32
Comment 5 Kurt Jaeger freebsd_committer 2019-07-01 18:40:41 UTC
Now at 4.1.37
Comment 6 commit-hook freebsd_committer 2019-08-22 02:14:37 UTC
A commit references this bug:

Author: glewis
Date: Thu Aug 22 02:14:15 UTC 2019
New revision: 509572
URL: https://svnweb.freebsd.org/changeset/ports/509572

Log:
  Update to netty 4.1.39

  PR:		219218

Changes:
  head/java/netty/Makefile
  head/java/netty/distinfo
  head/java/netty/pkg-descr
Comment 7 Greg Lewis freebsd_committer 2019-08-22 02:16:54 UTC
I took a slightly different approach from the patch since I was working on the update before I noticed this.  This still gets us an up to date version of Netty though.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-23 13:28:44 UTC
^Triage: 

 - Assign to committer that resolved
 - Update Summary to match what occured